Welcome to OAR3's documentation!
================================

.. warning::

   **THIS DOCUMENTATION IS UNDER CONSTRUCTION (NOT READY FOR PRODUCTION USE)**

.. include:: ../README.rst
             
This documentation is organized into a few different sections below:

* :ref:`ref-user-docs`
* :ref:`ref-admin-docs`  
* :ref:`ref-dev-docs`
* :ref:`ref-dev-changelog`
* :ref:`Copyright and license <licensefile-anchor>`

.. _ref-user-docs:
.. toctree::
   :maxdepth: 1
   :caption: User Documentation
      
   user/quickstart
   user/usecases
   user/mechanisms
   User Commands <user/commands.rst>
   user/api
   user/faq

.. _ref-admin-docs:
.. toctree::
   :maxdepth: 1
   :caption: Admin Documentation

   admin/installation
   admin/configuration
   Admission Rules <admin/admission_rules.rst>
   Scheduling <admin/scheduling.rst>
   Admin Commands <admin/commands.rst>
   admin/api
   admin/security
   admin/modules
   admin/internal-mechanisms
   admin/database-scheme
   admin/faq

.. _ref-dev-docs:
.. toctree::
   :maxdepth: 1
   :caption: Developer Documentation

   installation
   usage
   contributing
   changes
